/*
 * The Legend Lives!
 *
 * Executable and source code are
 *
 *                 Copyright (C) 1995 by David M. Baggett
 *
 * All rights reserved, except as follows:
 * 
 *    Electronic redistribution is permitted, but only if not for profit.
 *    Specifically, you may provide copies in electronic form ONLY if you
 *    do not charge anything beyond the distribution media cost AND if you
 *    do not alter the source code in any way.
 *
 * Note that the author reserves all rights to derivative works and
 * products.  This includes ports and enhanced versions.  The author will
 * typically grant permission for these when asked, but this will be
 * dealt with on a case by case basis only.
 *
 */

// "Me", the player's character, and various body parts
// If global.ingame is true, things are different, because "me" is a different
// person.
Me: Player
	location = startroom

	noun = 'me' 'self' 'myself'

	diemessage = {
		I(); "You have died.  Needless to say, this puts a 
		permanent damper on your efforts to save the  galaxy.";
	}

	starvationcheck = nil
	dehydrationcheck = nil
	sleepcheck = nil

	// Player's color
	//
	// 0 = normal
	// 1 = red
	// 2 = orange
	// 3 = yellow
	// 4 = green
	// 5 = blue
	// 6 = indigo
	// 7 = violet

	color = 0	// The player starts off with normal skin coloring
			// (see the KrudKo snacks for more info)
	colorcount = 0	// How long the player stays a different color

	normalcolor = {
		if (not global.ingame) {
			if (self.colorcount > 0) {
				self.colorcount := self.colorcount - 1;
				if (self.colorcount < 1) {
					self.color := 0;	
					if (global.ingame)
						return;

					P(); I();
					"Your skin color is back to 
					normal again.";
				}
			}
		}
	}

	description = {
		if (global.ingame) {
			"you're as good-looking as ever";
		}
		else {
			"you're still Gavin Kelly";
			self.colordescription;
		}
	} 
	colordescription = {
		if (self.color = 0)
			;
		else if (self.color = 1)
			", but your skin is a bit red";
		else if (self.color = 2)
			", but your skin is a bit orange";
		else if (self.color = 3)	
			", but your skin is a bit yellow";
		else if (self.color = 4)
			", but your skin is a bit green";
		else if (self.color = 5)
			", but your skin is a bit blue";
		else if (self.color = 6)
			", but your skin is a bit indigo";
		else if (self.color = 7)
			", but your skin is a bit violet";
	}
	ldesc = { "\^<<self.description>>."; }

	maxweight = { return 100; }
	maxbulk = { return self.maxweight; }

	speech_handler(s) =  {
		local str := upper(s);
		
		if (str = 'LIPS') 
			lipsVerb.action(self);
		else if (str = 'THE LIPS') 
			lipsVerb.action(self);
		else if (str = 'MY LIPS') 
			lipsVerb.action(self);
		else if (str = 'YOUR LIPS') 
			lipsVerb.action(self);
		else if (str = 'OUR LIPS') 
			lipsVerb.action(self);
		else 
			"OK, now what?";
	}

	verDoSpraywith(actor, io) = {}
	doSpraywith(actor, io) = {
#ifndef	DEMO
		if (io <> repellant) {
#endif
			"Cough, cough.";
#ifndef	DEMO
		}
		else {
			if (repellant.spraycount = 1) {
				"COUGH!  I wouldn't do that again; that
				stuff is poisonous.";
				repellant.spraycount++;
			}
			else {
				"GAKK!  Two shots of that stuff would
				kill a Smarglebeast. You pass out and
				keel over, never to awaken.";

				notify(deathobject, &death, 0);
			}
		}
#endif
	}

	scramble = {
		"You briefly experience delusions of grandeur.";
	}
;
